package org.example;

import java.util.Random;
import java.util.Scanner;

import static org.example.BeatThemAllGame.battle;
import static org.example.BeatThemAllGame.chooseHero;
import static org.example.BeatThemAllGame.displayGameOver;
import static org.example.BeatThemAllGame.displayTitle;
import static org.example.BeatThemAllGame.generateRandomEnemy;
import static org.example.BeatThemAllGame.getRandomItem;

public class Main{

public void main(String[] args) {
    Scanner scanner = new Scanner(System.in);
    displayTitle();

    Hero hero = chooseHero(scanner);
    System.out.println();

    System.out.println("Votre aventure commence !");
    Logger.getInstance().log("Début de l'aventure de " + hero.name);

    boolean gameRunning = true;
    while (gameRunning && hero.isAlive()) {
        Enemy enemy = generateRandomEnemy();
        System.out.println("\nUn " + enemy.name + " apparaît !");
        Logger.getInstance().log(hero.name + " rencontre un " + enemy.name);
        battle(scanner, hero, enemy);
        if (!hero.isAlive()) {
            displayGameOver();
            Logger.getInstance().log(hero.name + " est mort");
            break;
        }
        hero.resetSpecialAbility();
        hero.gainExperience(50);

        // Chance de trouver un objet après le combat
        if (new Random().nextInt(100) < 50) {
            Item foundItem = getRandomItem();
            System.out.println("Vous trouvez un objet sur l'ennemi !");
            hero.addItem(foundItem);
        }

        // Demander au joueur s'il veut continuer
        System.out.print("\nVoulez-vous continuer ? (oui/non) : ");
        String choice = scanner.next();
        if (!choice.equalsIgnoreCase("oui")) {
            gameRunning = false;
            System.out.println("Merci d'avoir joué !");
            Logger.getInstance().log(hero.name + " a quitté le jeu");
        }
    }
}
}